<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'search_solr', language 'no', branch 'MOODLE_36_STABLE'
 *
 * @package   search_solr
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configsettings'] = 'Solr-konfigurasjon';
$string['connectionerror'] = 'Den spesifiserte Solr-serveren er ikke tilgjengelig eller den spesifiserte indeksen eksisterer ikke';
$string['connectionsettings'] = 'Tilkoblingsinnstillinger';
$string['discardsearchfieldnames'] = 'Forkast nettstedets standard søkefeltnavn';
$string['discardsearchfieldnames_help'] = 'Når denne innstillingen er aktivert, blir ikke standard søkefeltnavn sendt til Solr-søkemotoren, og dermed tillatt Solr å spesifisere sine egne søkefeltnavn. Dette kan forbedre relevansen av søkeresultater generert av Solr. Når den er deaktivert, blir standard søkefeltnavn sendt, og dermed tvunget Solr til å ignorere søkefeltene definert i motoren.';
$string['errorcreatingschema'] = 'Feil ved opprettelse av Solr-skjemaet: {$a}';
$string['errorvalidatingschema'] = 'Feil under validering av Solr-skjema: felt {$a->fieldname} eksisterer ikke. <a href="{$a->setupurl}">Følg denne koblingen</a> for å sette opp de påkrevde feltene.';
$string['extensionerror'] = 'Apache Solr PHP-utvidelsen er ikke installert. Sjekk dokumentasjonen';
$string['fileindexing'] = 'Aktiver filindeksering';
$string['fileindexing_help'] = 'Dersom Solr-installasjonen din støtter det kan denne funksjonen sende filer til indeksering.<br/>
Du må reindeksere alt portalinnhold etter aktivering av denne funksjonen slik at alt innholdet blir lagt til.';
$string['fileindexsettings'] = 'Filindekseringsinnstillinger';
$string['maxindexfilekb'] = 'Maksimal filstørrelse å indeksere (kB)';
$string['maxindexfilekb_help'] = 'Filer større enn dette antallet kilobytes vil ikke bli inkludert i søkeindeksering. Hvis satt til null, vil filer av enhver størrelse bli indeksert.';
$string['minimumsolr4'] = 'Solr 4.0 er minimumversjonen påkrevd for Totara';
$string['missingconfig'] = 'Din Apache Solr-server er ikke konfigurert i Totara ennå.';
$string['multivaluedfield'] = 'Felt «{$a}» returnerte en rekke heller enn en skalar. Slett den gjeldende indeksen, opprett en ny og kjør setup_schema.php før indeksering av data i Solr.';
$string['nodatafromserver'] = 'Ingen data fra server';
$string['pluginname'] = 'Solr';
$string['schemafieldautocreated'] = 'Felt «{$a}» eksisterer allerede i Solr-skjema. Du glemte antageligvis å kjøre dette scriptet før du indekserte data og felter ble atuomatisk opprettet av Solr. Slett den gjeldende indeksen, opprett en ny og kjør setup_schema.php igjen før indeksering av data i Solr.';
$string['schemasetupfromsolr5'] = 'Din Solr-serverversjon er lavere enn 5.0. Dette scriptet kan kun stille inn skjemaet ditt hvis Solr-versjonen din er 5.0 eller høyere. Du må manuelt sette opp feltene i skjemaet ditt i henhold til search_solrdocument::get_default_fields_definition().';
$string['searchinfo'] = 'Søk forespørsler';
$string['searchinfo_help'] = 'Feltet som skal søkes kan spesifiseres ved å bruke prefikser i søkeforespørselen med «title:», «content:», «name:», eller «intro:». For eksempel, å søke etter «title:nyheter» ville returnere resultater med ordet «nyheter» i tittelen.

Boolske-operatører («OG», «ELLER», «IKKE») kan brukes for å kombinere eller ekskludere nøkkelord.

Wildcard-tegn («*» eller «?») kan brukes for å representere tegn i søkeforespørselen.';
$string['setupok'] = 'Skjemaet er klart til bruk.';
$string['solrauthpassword'] = 'Passord for HTTP-autentisering';
$string['solrauthuser'] = 'Brukernavn for HTTP-autentisering';
$string['solrhttpconnectionport'] = 'Port';
$string['solrhttpconnectiontimeout'] = 'Tidsavbrudd';
$string['solrhttpconnectiontimeout_desc'] = 'Tidsavbruddet for HTTP-tilkoblingen er maksimal tid i sekunder tillat for HTTP-dataoverføringsoperasjonen.';
$string['solrindexname'] = 'Indeksnavn';
$string['solrinfo'] = 'Solr';
$string['solrnotselected'] = 'Solr-motor er ikke den konfigurerte søkemotoren';
$string['solrsecuremode'] = 'Sikker modus';
$string['solrserverhostname'] = 'Vertsnavn';
$string['solrserverhostname_desc'] = 'Domenenavn for Solr-serveren';
$string['solrsetting'] = 'Solr-innstillinger';
$string['solrsslcainfo'] = 'SSL CA-sertifikatnavn';
$string['solrsslcainfo_desc'] = 'Filnavn holder ett eller flere CA-sertifikater å verifisere kollega med';
$string['solrsslcapath'] = 'Bane for SSL CA-serifikater';
$string['solrsslcapath_desc'] = 'Katalogbane holder flere CA-sertifikater å verifisere kollega med';
$string['solrsslcert'] = 'SSL-sertifikat';
$string['solrsslcert_desc'] = 'Filnavn til et PEM-formatert privat sertifikat';
$string['solrsslkey'] = 'SSL-nøkkel';
$string['solrsslkey_desc'] = 'Filnavn til en PEM-formatert privat nøkkel';
$string['solrsslkeypassword'] = 'SSL-nøkkelpassord';
$string['solrsslkeypassword_desc'] = 'Passord for PEM-formatert privat nøkkelfil';
